osg::ProgramCostEstimator Class Reference

`#include <GraphicsCostEstimator>`

Inheritance diagram for osg::ProgramCostEstimator:

## Public Member Functions

| ProgramCostEstimator ()
void | setDefaults ()
void | calibrate (osg::RenderInfo &renderInfo)
CostPair | estimateCompileCost (const osg::Program *program) const
CostPair | estimateDrawCost (const osg::Program *program) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

ClampedLinearCostFunction1D | _shaderCompileCost
ClampedLinearCostFunction1D | _linkCost
ClampedLinearCostFunction1D | _drawCost
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## ProgramCostEstimator()

osg::ProgramCostEstimator::ProgramCostEstimator | ( |  | ) |

## Member Function Documentation

## calibrate()

void osg::ProgramCostEstimator::calibrate | ( | osg::RenderInfo & | renderInfo | ) |

## estimateCompileCost()

CostPair osg::ProgramCostEstimator::estimateCompileCost | ( | const osg::Program * | program | ) | const

## estimateDrawCost()

CostPair osg::ProgramCostEstimator::estimateDrawCost | ( | const osg::Program * | program | ) | const

## setDefaults()

void osg::ProgramCostEstimator::setDefaults | ( |  | ) |

## Member Data Documentation

## _drawCost

ClampedLinearCostFunction1D osg::ProgramCostEstimator::_drawCost

protected

## _linkCost

ClampedLinearCostFunction1D osg::ProgramCostEstimator::_linkCost

protected

## _shaderCompileCost

ClampedLinearCostFunction1D osg::ProgramCostEstimator::_shaderCompileCost

protected

The documentation for this class was generated from the following file:

- GraphicsCostEstimator